package sample;

public class Main {
    /**
     * This is the main function.  It tries to get current location and send it in a text.
     *
     * @note Update the phone number before running.
     */
      public static void main(String[] args) throws InterruptedException {
            try (PositioningBridge posBridge = new PositioningBridge()) {
                PositioningBridge.Point2D location;
                String locationString;

                Thread.sleep(120000);

                location = posBridge.Get2DLocation();
                
                if (location != null)
                {
                    locationString = String.format("The current position is:\n" +
                                                   "    Latitude:  %d\n" +
                                                   "    Longitude: %d\n",
                                                   location.latitude,
                                                   location.longitude);
                }
                else
                {
                    locationString = "The current position is: unknown\n";
                }

                SmsBridge.SendText("8885550123", locationString);
            }
	}
}
